<?php
/**
 * Plugin Name: Enwikuna Helper
 * Description: Will help Enwikuna users to manage their licenses and receive automatic updates.
 * Version: 2.3.3
 * Author: Enwikuna
 * Author URI: https://agency.enwikuna.de
 * Plugin URI: https://agency.enwikuna.de/en/enwikuna-helper
 * Text Domain: enwikuna-helper
 * Domain Path: /i18n/languages/
 * Requires at least: 5.4.0
 * Requires PHP: 7.4.0
 * Tested up to: 6.5.2
 *
 * @package Enwikuna\Enwikuna_Helper
 */

defined( 'ABSPATH' ) || exit;

use Enwikuna\Enwikuna_Helper\Enwikuna_Helper;

// Needed constants for main class initialization only
if ( ! defined( 'ENWIKUNA_HELPER_PLUGIN_FILE' ) ) {
	define( 'ENWIKUNA_HELPER_PLUGIN_FILE', __FILE__ );
}

if ( ! defined( 'ENWIKUNA_HELPER_ABSPATH' ) ) {
	define( 'ENWIKUNA_HELPER_ABSPATH', realpath( plugin_dir_path( ENWIKUNA_HELPER_PLUGIN_FILE ) ) . DIRECTORY_SEPARATOR );
}

if ( ! defined( 'ENWIKUNA_HELPER_REST_API_URL' ) ) {
	define( 'ENWIKUNA_HELPER_REST_API_URL', 'https://agency.enwikuna.de/wp-json/elm/v1/' );
}

if ( ! defined( 'ENWIKUNA_HELPER_REST_API_KEY' ) ) {
	define( 'ENWIKUNA_HELPER_REST_API_KEY', 'ck_18e8f2ebdc2a320ca620bf96bd12d8098d2c5704' );
}

if ( ! defined( 'ENWIKUNA_HELPER_REST_API_SECRET' ) ) {
	define( 'ENWIKUNA_HELPER_REST_API_SECRET', 'cs_0e999ae187324c6bd62c02bb2123c88136331c97' );
}

if ( ! defined( 'ENWIKUNA_HELPER_PRODUCT_UUID' ) ) {
	define( 'ENWIKUNA_HELPER_PRODUCT_UUID', '71E16DFD-0E0B-4F6E-8F2C-76AD17198DFA' );
}

if ( ! defined( 'ENWIKUNA_HELPER_TRUSTED_SIGNING_KEY' ) ) {
	define( 'ENWIKUNA_HELPER_TRUSTED_SIGNING_KEY', 'Tnbd01S7PeVaS+dvJsfLGamPyK/k6qqsKiACcRJ5PjQ=' );
}
// End of needed constants for main class initialization

if ( file_exists( ENWIKUNA_HELPER_ABSPATH . 'vendor' . DIRECTORY_SEPARATOR . 'autoload.php' ) ) {
	require ENWIKUNA_HELPER_ABSPATH . 'vendor' . DIRECTORY_SEPARATOR . 'autoload.php';
}

Enwikuna_Helper::get_instance();
