<?php

namespace Enwikuna\Enwikuna_Helper\Admin\Interfaces;

defined( 'ABSPATH' ) || exit;

/**
 * Interface Enwikuna_Helper_Admin_Menus_Interface
 *
 * @package Enwikuna\Enwikuna_Helper\Admin\Interfaces
 */
interface Enwikuna_Helper_Admin_Menus_Interface {

	/**
	 * Enwikuna_Helper_Admin_Menus constructor
	 */
	public function __construct();

	/**
	 * Introduce Enwikuna Helper admin menu
	 */
	public function admin_menu_action(): void;

	/**
	 * Output the dashboard page
	 */
	public function dashboard_page(): void;

	/**
	 * Output the support page
	 */
	public function support_page(): void;
}
