<?php

namespace Enwikuna\Enwikuna_Helper\Data_Stores;

defined( 'ABSPATH' ) || exit;

use Enwikuna\Enwikuna_Helper\Data_Stores\Abstracts\Enwikuna_Helper_Data_Store_Abstract;
use Enwikuna\Enwikuna_Helper\Data_Stores\Interfaces\Enwikuna_Helper_Data_Store_Support_Interface;
use Enwikuna\Enwikuna_Helper\Data_Stores\Models\Enwikuna_Helper_Data_Store_Service_User_Model;
use Enwikuna\Enwikuna_Helper\Enwikuna_Helper_Install;

/**
 * Class Enwikuna_Helper_Data_Store_Support
 *
 * @package Enwikuna\Enwikuna_Helper\Data_Stores
 */
class Enwikuna_Helper_Data_Store_Support extends Enwikuna_Helper_Data_Store_Abstract implements Enwikuna_Helper_Data_Store_Support_Interface {

	/**
	 * Enwikuna_Helper_Data_Store_Support constructor
	 */
	public function __construct() {
		$this->table       = Enwikuna_Helper_Install::SUPPORT_TABLE_NAME;
		$this->primary_key = 'id';
		$this->model       = Enwikuna_Helper_Data_Store_Service_User_Model::class;

		parent::__construct();
	}
}
