<?php

defined( 'ABSPATH' ) || exit;

use Enwikuna\Enwikuna_Helper\Gateways\Enwikuna_Helper_Enwikuna_Agency_Gateway;

?>
<div class="wrap enwikuna-helper">
	<div class="enwikuna-helper-page-content">
		<div id="enwikuna-helper-dashboard-header">
			<h1><?php esc_html_e( 'Welcome to', 'enwikuna-helper' ); ?> <a
						href="<?php echo esc_url( admin_url( 'admin.php?page=enwikuna-helper-setup-wizard' ) ); ?>"><?php esc_html_e( 'Enwikuna', 'enwikuna-helper' ); ?></a></h1>
			<div id="enwikuna-helper-dashboard-about">
				<?php esc_html_e( 'Easily manage your licenses for Enwikuna products and enjoy automatic updates.', 'enwikuna-helper' ); ?>
			</div>
		</div>
		<div id="enwikuna-helper-dashboard-content">
			<?php
			if ( Enwikuna_Helper_Enwikuna_Agency_Gateway::get_instance()->is_connected() ) {
				global $enwikuna_helper_admin_products_list_table;

				$enwikuna_helper_admin_products_list_table->display_table();
			} else {
				?>
				<div id="api-unavailable">
					<h3><?php esc_html_e( 'Oops, seems like the API needs a break', 'enwikuna-helper' ); ?></h3>
					<p><?php esc_html_e( 'Sorry but currently we are not able to establish a connection to our licensing system - please be patient and try again in a few minutes.', 'enwikuna-helper' ); ?></p>
				</div>
			<?php } ?>
		</div>
	</div>
</div>
