# Changelog

All notable changes to `Enwikuna Helper` will be documented in this file.

## [2.3.3]

### Fixed

- REST API Connection issue on unsecure domains and websites
- General bugfixes and improvements

## [2.3.2]

### Fixed

- Fix exception inside products table

## [2.3.1]

### Fixed

- Remove debugging code
- Fix theme not set inside updater error
- General bugfixes and improvements

## [2.3.0]

### Feature

- Add support for signed releases
- Improve product registering process
- Improve loading speed of the plugin
- Support themes besides plugins
- Improve configuration and dependency management
- Improve translation
- Ensure WordPress 6.5.2 compatibility

### Fixed

- Register button active without available products for registration
- Add missing product null checks to prevent exceptions
- Scheduling of expired or non-registered products inside the updater
- General bugfixes and improvements

## [2.2.0]

### Feature

- Improve multisite functionality
- Improve host management
- Add new product upgrade notice
- Ensure WordPress 6.4.3 compatibility

### Fixed

- General bugfixes and improvements

## [2.1.1]

### Feature

- Improve service user page design
- Improve updating workflow
- Implement new deactivation flow
- Ensure WordPress 6.4.1 compatibility

### Fixed

- General bugfixes and improvements

## [2.1.0]

### Feature

- Add product UUID validation to activation
- Improve plugin recognition & update checks
- Ensure WordPress 6.2.2 compatibility

### Fixed

- General bugfixes and improvements

## [2.0.0]

### Feature

- Add PHP doc to hooks
- Add HookR hooks file
- Change support email address to service desk email
- Introduce PHPCS
- Add new licensing system
- Ensure WordPress 6.2.0 compatibility

### Fixed

- Fix logger reverse content display
- General bugfixes and improvements

## [1.2.7]

### Fixed

- Function usage "substr" UTF-8 encoding fix

## [1.2.6]

### Feature

- Ensure WordPress 5.9.3 compatibility

### Fixed

- Move cron job creation to the install script
- General bugfixes and improvements

## [1.2.5]

### Feature

- Ensure WordPress 5.9.2 compatibility
- Add function executer for support & debugging

### Fixed

- Encryptor update script
- General bugfixes and improvements

## [1.2.4]

### Fixed

- Null pointer within the admin notices

## [1.2.3]

### Feature

- Add debugger for better debugging during remote support
- Ensure WordPress 5.8.2 compatibility

### Fixed

- General bugfixes and improvements

## [1.2.2]

### Feature

- Add German formal translation

### Fixed

- General bugfixes and improvements

## [1.2.1]

### Fixed

- URL cleaning
- General bugfixes and improvements

## [1.2.0]

### Feature

- Add caching for faster page loading to prevent request overload
- Add strong encryption for e.g. license keys in the database
- Add Setup Wizard for helper
- Introduce new Setup Wizard UI
- Add plugin Setup Wizard links to dashboard
- Add license keys to dashboard
- Add support tool to WordPress tools
- Add update manager

### Fixed

- Notice display issue on multisite installations
- UI bug on multisite installations
- Table check for data store
- General bugfixes and improvements

## [1.1.5]

### Fixed

- General bugfixes and improvements

## [1.1.4]

### Feature

- Add license key to table

### Fixed

- General bugfixes and improvements

## [1.1.3]

### Feature

- Change logic of product registering

### Fixed

- General bugfixes and improvements

## [1.1.2]

### Feature

- Ensure WordPress 5.8.0 compatibility

## [1.1.1]

### Feature

- Ensure WordPress 5.7.2 compatibility
- General bugfixes and improvements

## [1.1.0]

### Feature

- Introduce general translation file
- General bugfixes and improvements
- Ensure WordPress 5.7.0 compatibility

## [1.0.8]

### Feature

- General improvements

### Fixed

- Self update

## [1.0.7]

### Feature

- General improvements

### Fixed

- Option loading

## [1.0.6]

### Feature

- Ensure PHP 8.0 compatibility

### Fixed

- Improve template loading

## [1.0.5]

### Fixed

- API unavailable error with stdClass typing in request handler

## [1.0.4]

### Fixed

- Fix wrong version displaying on update screen

## [1.0.3]

### Fixed

- Expiring product notice bug

## [1.0.2]

### Feature

- Raise min PHP version

## [1.0.1]

### Feature

- Introduce WordPress 5.6.0 compatibility

## [1.0.0]

### Feature

- Initial release
