(function ( $ ) {
    $( document ).ready( function () {
        $( document ).on( 'click', '.enwikuna-helper-notice-expiring-products .notice-dismiss', () => {
            let data = {
                action: 'ewkh_dismiss_products_expiring_notice',
                security: enwikuna_helper_admin.dismiss_products_expiring_notice.nonce
            };

            $.post( ajaxurl, data );
        } );

        $( '.enwikuna-helper-notice-update' ).each( function () {
            let forPlugin      = $( this ).data( 'for-plugin' );
            let pluginCheckbox = `#checkbox_${forPlugin}`;

            if ($( pluginCheckbox ).length) {
                let tr = $( pluginCheckbox ).parents( 'tr' );

                setTimeout( function () {
                    $( `[data-for-plugin='${forPlugin}']` ).appendTo( tr.find( 'td.plugin-title p:first' ) );
                }, 50 );
            }
        } );
    } );
})( jQuery );
