<?php

namespace Enwikuna\Enwikuna_Helper\Admin\Interfaces;

defined( 'ABSPATH' ) || exit;

/**
 * Interface Enwikuna_Helper_Admin_Dashboard_Interface
 *
 * @package Enwikuna\Enwikuna_Helper\Admin\Interfaces
 */
interface Enwikuna_Helper_Admin_Dashboard_Interface {

	/**
	 * Enwikuna_Helper_Admin_Dashboard constructor
	 */
	public function __construct();

	/**
	 * Output the dashboard page
	 */
	public function output(): void;

	/**
	 * Init new products table and assign to global
	 *
	 * @return void
	 */
	public function load_dashboard_page_enwikuna_action(): void;
}
