<?php

namespace Enwikuna\Enwikuna_Helper\Admin\Interfaces;

defined( 'ABSPATH' ) || exit;

/**
 * Interface Enwikuna_Helper_Admin_Support_Interface
 *
 * @package Enwikuna\Enwikuna_Helper\Admin\Interfaces
 */
interface Enwikuna_Helper_Admin_Support_Interface {

	/**
	 * Enwikuna_Helper_Admin_Support constructor
	 */
	public function __construct();

	/**
	 * Support actions
	 */
	public function ewkh_admin_page_action_support_action(): void;

	/**
	 * Output the support page
	 */
	public function output(): void;

	/**
	 * Outputs a page
	 *
	 * @param string $page
	 */
	public function output_page( string $page ): void;
}
