<?php

namespace Enwikuna\Enwikuna_Helper\Admin\Support\Modules\Interfaces;

defined( 'ABSPATH' ) || exit;

/**
 * Interface Enwikuna_Helper_Admin_Support_Function_Executer_Interface
 *
 * @package Enwikuna\Enwikuna_Helper\Admin\Support\Modules\Interfaces
 */
interface Enwikuna_Helper_Admin_Support_Function_Executer_Interface {

	/**
	 * Enwikuna_Helper_Admin_Support_Function_Executer constructor
	 */
	public function __construct();

	/**
	 * Get support
	 *
	 * @return string
	 */
	public function get_support(): string;

	/**
	 * Executes the needed function
	 */
	public function execute_function(): void;
}
