<?php

namespace Enwikuna\Enwikuna_Helper\Data_Stores\Models\Abstracts;

defined( 'ABSPATH' ) || exit;

use Enwikuna\Enwikuna_Helper\Data_Stores\Models\Abstracts\Interfaces\Enwikuna_Helper_Data_Store_Model_Interface;

/**
 * Class Enwikuna_Helper_Data_Store_Model_Abstract
 *
 * @package Enwikuna\Enwikuna_Helper\Data_Stores\Models\Abstracts
 */
abstract class Enwikuna_Helper_Data_Store_Model_Abstract implements Enwikuna_Helper_Data_Store_Model_Interface {

	/**
	 * Returns the class properties as an array
	 *
	 * @return array
	 */
	public function to_array(): array {
		return get_object_vars( $this );
	}
}
