<?php

namespace Enwikuna\Enwikuna_Helper\Data_Stores\Models\Interfaces;

defined( 'ABSPATH' ) || exit;

use stdClass;

/**
 * Interface Enwikuna_Helper_Data_Store_Service_User_Model_Interface
 *
 * @package Enwikuna\Enwikuna_Helper\Data_Stores\Models\Interfaces
 */
interface Enwikuna_Helper_Data_Store_Service_User_Model_Interface {

	/**
	 * Enwikuna_Helper_Data_Store_Support_Model constructor
	 *
	 * @param stdClass|null $service_user
	 */
	public function __construct( ?stdClass $service_user = null );

	/**
	 * @return int
	 */
	public function get_id(): int;

	/**
	 * @param int $id
	 */
	public function set_id( int $id ): void;

	/**
	 * @return int
	 */
	public function get_service_user_id(): int;

	/**
	 * @param int $service_user_id
	 */
	public function set_service_user_id( int $service_user_id ): void;

	/**
	 * @return string
	 */
	public function get_date_enabled(): string;

	/**
	 * @param string $date_enabled
	 */
	public function set_date_enabled( string $date_enabled ): void;
}
