<?php

namespace Enwikuna\Enwikuna_Helper\Interfaces;

defined( 'ABSPATH' ) || exit;

/**
 * Interface Enwikuna_Helper_Uninstall_Interface
 *
 * @package Enwikuna\Enwikuna_Helper\Interfaces
 */
interface Enwikuna_Helper_Uninstall_Interface {

	/**
	 * Deactivate  Enwikuna Helper
	 */
	public static function deactivate(): void;

	/**
	 * Uninstall Enwikuna Helper
	 */
	public static function uninstall(): void;

	/**
	 * Clears all scheduled hooks
	 */
	public static function clear_scheduled_hooks(): void;

	/**
	 * Remove all admin notices
	 *
	 * @return void
	 */
	public static function remove_admin_notices(): void;
}
